#include "targets/S3C2400.h"
#include <string.h>

#define FB_ADDRESS1 0x0C7B4000
#define FB_ADDRESS2 0x0C7DA000
#define FB_WIDTH    320
#define FB_HEIGHT   240
#define FB_SIZE (FB_WIDTH * FB_HEIGHT)

int
main(void)
{
  unsigned char n = 0;
  while (1)
    {
      memset((void *)FB_ADDRESS1, n++, FB_SIZE);
      memset((void *)FB_ADDRESS1, ~n, FB_SIZE);
    }
  return 0;
}

